Bug 473504 - kernel panic in tcp_tso_segment() (iptables/netfilter)
kernel panic in tcp_tso_segment() (iptables/netfilter)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
i386 Linux
high Severity urgent
: rc
: ---
Assigned To: Ivan Vecera
Red Hat Kernel QE team
:
Depends On:
Blocks: 483701
  Show dependency treegraph
 
Reported: 2008-11-28 17:52 EST by Carlos Vicente
Modified: 2009-09-02 04:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:24:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console screen output containing kernel panic error (388.62 KB, image/jpeg)
2008-11-28 17:52 EST, Carlos Vicente
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1243 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.4 kernel security and bug fix update 2009-09-01 04:53:34 EDT

  None (edit)
Description Carlos Vicente 2008-11-28 17:52:32 EST
Created attachment 325047 [details]
Console screen output containing kernel panic error

Description of problem:
Kernel panic, probably caused by iptables.

Version-Release number of selected component (if applicable):
uname -a says: 2.6.18-92.1.18.el5 #1 SMP Wed Nov 5 09:00:13 EST 2008 i686 i686 i386 GNU/Linux

How reproducible:
n/a.  It has happened twice in a week.

Steps to Reproduce:
n/a

Additional info:
See attached picture of console screen.
Comment 1 Ivan Vecera 2008-12-04 11:48:50 EST
This is the same problem as this reported by Mike Accetta:
http://lists.openwall.net/netdev/2007/02/09/16

This upstream commit solves this issue:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=bbf4a6bc8c4d59a0a9033fc2cb96ec03430c96e4

I'm going to prepare testing kernels for you.
Comment 2 Ivan Vecera 2008-12-09 05:29:29 EST
As I wrote, I have prepared testing kernels. Could you please try them and give here any report? Kernels are available at:
http://people.redhat.com/ivecera/rhel-5-ivtest/
Comment 3 Carlos Vicente 2008-12-09 13:48:33 EST
Kernel has been loaded:

# uname -a
Linux xxxx.uoregon.edu 2.6.18-125.el5.ivtest.2 #1 SMP Tue Dec 9 09:00:31 EST 2008 i686 i686 i386 GNU/Linux

I'll let you know how it goes.  Thank you.

cv
Comment 4 Ivan Vecera 2008-12-19 04:08:53 EST
Any results?
Comment 5 Ivan Vecera 2009-01-12 03:56:26 EST
Carlos, could you please inform me if the testing kernel is solving the issue?
Comment 6 Carlos Vicente 2009-01-12 07:27:17 EST
It seems to have solved the issue.  The machine has not crashed since the test kernel was loaded.  Thanks.
Comment 7 Ivan Vecera 2009-01-21 13:08:33 EST
Hi Carlos, I had to reimplement the fix for this issue. But the patch is completely different. Can I ask you for another round of testing?

The kernels are at:
http://people.redhat.com/ivecera/rhel-5-ivtest/
Comment 8 Carlos Vicente 2009-01-21 13:33:52 EST
No problem.

It's now loaded:

# uname -a
Linux xxxx.uoregon.edu 2.6.18-128.el5.ivtest.4 #1 SMP Wed Jan 21 11:50:25 EST 2009 i686 i686 i386 GNU/Linux

cv
Comment 9 RHEL Product and Program Management 2009-01-27 15:39:08 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 10 RHEL Product and Program Management 2009-02-16 10:22:38 EST
Updating PM score.
Comment 11 Don Zickus 2009-02-23 15:02:52 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 13 Evan McNabb 2009-04-13 11:56:32 EDT
Carlos,

Can you give us feedback on your latest testing? In particular, could you try kernel-2.6.18-132 or later and verify it no longer panics?
Comment 14 Carlos Vicente 2009-04-14 14:14:37 EDT
Somehow I missed the 02/23 post.  Sorry.

I've been running 2.6.18-128.el5.ivtest.4 for months without any problems.  

I could not find kernel-2.6.18-132 in the link you provided.  There are versions starting with 133.  Should I try the latest (138)? 

In addition, all I see are the kernel-headers RPMs.  Do I not need the rest of the kernel packages?  I guess I could compile the source, but I'd rather not.

Thanks,

cv
Comment 15 Evan McNabb 2009-04-14 14:34:13 EDT
No problem. If you could try the latest (-138) that would be great. It should have all the correct RPMs in the i686 directory. For example:

http://people.redhat.com/dzickus/el5/138.el5/i686/

Thanks!
Comment 16 Evan McNabb 2009-05-06 17:16:31 EDT
Hi Carlos,

Just curious if you were able to load one of the test kernels from http://people.redhat.com/dzickus/el5 ? And if so, what were the results?
Comment 17 Carlos Vicente 2009-05-06 17:26:14 EDT
I've been running 2.6.18-138.el5 #1 SMP for 21 days now with no problems.

Thanks,

cv
Comment 18 Evan McNabb 2009-05-06 21:12:57 EDT
Thank you very much.
Comment 21 errata-xmlrpc 2009-09-02 04:24:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.